<?php

namespace app\Mappers;

use App\ViewModels\FormaPagamento\FormaPagamentoRegistrationViewModel\CardRegistrationViewModel;
use App\Services\JWT\UsuarioLogado;
use App\Utils\GeneralUtils;

class CartaoMapper {

	public static function getDefaultCartaoRegistrationVMfromFrom(): CardRegistrationViewModel {

		$usuarioid = UsuarioLogado::getUsuarioId();
		$codauth = GeneralUtils::getAutoCodGenerateByUserId( $usuarioid );

		return CardRegistrationViewModel::builder()->setNumber( '' )
			->setBandeira( '' )
			->setMesVal( '' )
			->setAnoVal( '' )
			->setCvv( '' )
			->setTitular( '' )
			->setCodauth( $codauth )
			->setMaquineta( 'N' )
			->setDebcred( '' )
			->build();

	}

}

